#include <avr/io.h>



volatile int a;


int main(void)
{
    


	DDRA = 0XFF;
    DDRB = 0x00;
	PORTB = 0X0F;
	
	
	while(1)
	{
	  for(a=0;a<4;a++)
	  {
		PORTA = PINB &0x01<<a;
	  
	  }
	}
	return 0;
}